30narzędzi
Twój agent AI wchodzi do twojej strefy DNS, nie do rachunku.
Poznaj MCP Suite
DNS automation
v1.6.2
Download OpenAPI
Get DNS records
List all DNS records stored in the zone for the specified domain.
GET
/dns/{domain}/rr
ResourceRecordsByDomain

Authentication

x-api-key

Parameters

Name
Type
Format
Required
Description
domain
path
string
-
Required
Fully Qualified Domain Name.

Request example

GET
curl --request GET \
  --url 'https://api.regfish.com/dns/www.example.com/rr' \
  --header 'x-api-key: YOUR_API_KEY'

Responses

200
The record created, with its new ID
application/jsonrecordResponse
Response example 200
{
  "success": true,
  "code": 0,
  "response": [
    {
      "type": "A",
      "name": "www.example.com.",
      "data": "12.12.12.12",
      "id": 1,
      "auto": true,
      "active": true,
      "ts_created": 1,
      "ts_updated": 1
    }
  ]
}
400
Invalid request
application/jsonError
Response example 400
{
  "success": false,
  "message": "Invalid request",
  "error": "Invalid request"
}
401
Unauthorized
application/jsonError
Response example 401
{
  "success": false,
  "message": "Unauthorized",
  "error": "Unauthorized"
}
404
DNS zone or records not found
application/jsonError
Response example 404
{
  "success": false,
  "message": "DNS zone or records not found",
  "error": "DNS zone or records not found"
}
500
Unexpected error
application/jsonError
Response example 500
{
  "success": false,
  "message": "Unexpected error",
  "error": "Unexpected error"
}
Community

Zostań częścią społeczności

regfish DNS API to świetne rozwiązanie dla programistów, którzy chcą zautomatyzować domeny i strefy DNS. Zostań częścią społeczności i skorzystaj z automatyzacji DNS. API DNS jest dostępne bezpłatnie dla każdego klienta regfish.